Description: Bonjour,

Il s'avere que j'ai distribué un sujet sur lequel certains cercles noir ont été coupés lors de l'impression. Il reste
un demi-cercle ou un quart de cercle seulement ce qui empéche la détection automatique par le logiciel.

Est-il possible de choisir manuellement a quel endroit ces symboles doivent étre positionnés ? L'objectif
serait de pouvoir les mettre un peu plus a l'intérieur pour éviter qu'un tel probléme ne se reproduise.

Merci

History

02/20/2012 10:00 pm - Alexis Bienveniie

Normalement, le style LaTeX positionne les marques assez loin des coins, afin qu'elles ne soient pas dans les marges d'impressions et qu'elles ne
disparaissent pas au scan méme en cas de décalage et/ou rotation raisonnable de la page.

Avez-vous modifié la mise en page standard issue du style automultiplechoice.sty ?

02/20/2012 11:25 pm - Adéle Sanchez

Je n'ai pas trouvé ce fichier dans mes dossiers, par contre j'ai effectivement modifié la mise en page standard avec ces réglages.

L'objectif était d'augmenter la zone d'impression pour faire tenir le sujet sur 2 feuilles recto/verso. Le résultat en PDF sortait bien mais I'imprimante a été

gourmande avec les marges d'impression.

\addtolength{\textwidth}{3cm}

\addtolength{\oddsidemargin}{-1.8cm}

\addtolength{\textheight}{2.7cm}

\addtolength{\topmargin}{-2cm}

Pour gagner les quelques millimétres qui me feront gagner quelques centaines de feuilles papier lors de I'impression, est-il possible de réduire
I'espacement entre la zone de texte et les cercles ? Il manque tout juste 1 mm, c'est ralant. Malheureusement je ne peux pas toucher la zone de texte,
elle est réduite au maximum.

Par contre je viens de me rendre compte que l'imprimante a coupé du texte a des endroits étranges :

- 5mm en bas d'une feuille alors qu'elle a imprimé a 2mm du méme bord sur d'autres pages

- et méme a l'intérieur d'une page sur celles imprimées a 4 pages par feuille (2 pages de chaque c6té)

Une partie du probléme doit provenir de I'imprimante. Les PDF sortent bien.

Et est-ce normal aussi que les cercles soient positionnés a des endroits différents selon les pages ? lls sont plus ou moins haut par exemple. D'ailleurs
je me rend compte aussi que la marge est différente selon les pages. Elle est plus ou moins importante aussi.

Finalement mes réglages n'étaient certainement pas les plus judicieux

02/21/2012 03:27 pm - Alexis Bienveniie
- Status changed from New to Rejected

Le paquet automultiplechoice utilise geometry pour la mise en page, il vaut donc mieux utiliser la commande \geometry pour modifier la mise en page
(la commande utilisée par défaut par AMC

estl @\geometry{hmargin=3cm,headheight=2cm,headsep=.3cm,footskip=1cm,top=3.5cm,bottom=2.5cm}@).

Les quatre marques doivent absolument étre a la méme position pour toutes les pages ; AMC vérifie cela dans les versions récentes (a partir de
1.0.713 je pense).

02/27/2012 08:36 pm - Adéle Sanchez
Je viens de réessayer avec les nouveaux paramétres et effectivement les marges sont identiques entre toutes les pages.

Par contre l'espace est important sur la 1ére page entre le code étudiant et le début du texte (le titre du QCM). Sur les autres pages I'espace entre ce
code et les questions est correct. Malheureusement quand j'essaye de le réduire, les marques sont positionnées plus haut entre la 1ére page et les
autres.

Sais-tu sur quelles variables il faut jouer ? Je n'arrive pas a trouver :-/

02/27/2012 09:17 pm - Alexis Bienveniie

Pouvez-vous créer un fil de discussion sur le "forum":http://project.auto-multiple-choice.net/projects/auto-multiple-choice/boards/4 en ajoutant votre

source LaTeX, afin que nous puissions trouver une solution sur votre exemple concret ?
